Back to LanguageTool Homepage - Privacy - Imprint

Languagetool on AIX


(Martin) #1

Hi,

One of our customers is using AIX and today we noticed while installing our software that Languagetool will not run on AIX machines. There is no hunspell lib in hunspell-native-libs for AIX in our case ppc64.

Does anyone use LT on AIX?

For me the only way to get this working is to compile hunspell for AIX and add aix in Hunspell.java. Has somebody any other idea?

Thanks
Regards
Martin


(Dominique PELLÉ) #2

@Martin wrote:

There is no hunspell lib in hunspell-native-libs for AIX in our case ppc64.

I see the languagetool/hunspell-native-libs/libs/native-lib/ directory contains
native libs for the most common platforms. It’s clear that it cannot have
libraries for all platforms. Having native libraries is a convenience for most
users but it can’t work for all platforms. Now, in my opinion, we should should
not have native libraries in the git repo at all. Those should be built as part,
or the build or LanguageTool should use the libraries that are part
of the standard packages, or request the the user to build them.

I suppose that the users on AIX PPC64 can download and build the hunspell
libraries themselves, so it should not be blocking.